#
# spec file for package klettres
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           klettres
BuildRequires:  boost-devel
BuildRequires:  freeglut-devel
BuildRequires:  gsl-devel
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  libeigen2-devel
BuildRequires:  libgmm++-devel
BuildRequires:  libkdeedu4-devel
BuildRequires:  libopenbabel-devel
BuildRequires:  libqalculate-devel
BuildRequires:  libspectre-devel
BuildRequires:  python-qt4-devel
BuildRequires:  readline-devel
BuildRequires:  xz

# currently in DOESNOTBUILD (2008-07-03)
%ifnarch ppc ppc64 s390 s390x
BuildRequires:  ocaml
BuildRequires:  ocaml-facile
%endif
Version:        4.8.4
Release:        0
Summary:        Alphabet Learning Game
License:        GPL-2.0+
Group:          Amusements/Teaching/Language
Url:            http://edu.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  fdupes
Requires:       libkeduvocdocument4
Suggests:       libkeduvocdocument4
Provides:       kde4-klettres = 4.3.0
Obsoletes:      kde4-klettres < 4.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Helps to learn the alphabet and read some syllables

%prep
%setup -q

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
%make_install
  %suse_update_desktop_file %{name}       Education Languages
  %kde_post_install
  %if 0%{?suse_version} > 1020
  %fdupes -s %{buildroot}
  %endif

%clean
  rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_kde4_bindir/klettres
%_kde4_applicationsdir/klettres.desktop
%_kde4_htmldir/en/klettres/
%_kde4_iconsdir/hicolor/*/apps/klettres.*
%_kde4_appsdir/klettres/
%_kde4_sharedir/config.kcfg/klettres.kcfg
%_kde4_configdir/klettres.knsrc

%changelog
